/**
 * @fileoverview Main Linter Class
 * @author Gyandeep Singh
 * @author aladdin-add
 */
import type { Rule } from 'eslint';
import type { FixContext } from '../fix/index.js';
import type { FlatESLint, LegacyESLint } from './use-at-your-own-risk.js';
type FixedResult = {
    fixed: boolean;
    output: string;
};
/**
 * Performs multiple autofix passes over the text until as many fixes as possible have been applied.
 * @param linter
 */
export declare function verifyAndFix(eslint: InstanceType<typeof FlatESLint> | InstanceType<typeof LegacyESLint>, text: string, filePath: string, ruleIds: string[], fixCreator: (context: FixContext) => Rule.Fix[]): Promise<FixedResult>;
export {};
//# sourceMappingURL=linter.d.ts.map